> ## Documentation Index
> Fetch the complete documentation index at: https://docs.feedbase.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Feedback

> Update project feedback by id



## OpenAPI

````yaml patch /projects/{projectSlug}/feedback/{feedbackId}
openapi: 3.0.0
info:
  title: Feedbase API
  description: Feedbase API Documentation
  version: 1.0.0
servers:
  - url: https://api.feedbase.app/v1
security:
  - bearerAuth: []
paths:
  /projects/{projectSlug}/feedback/{feedbackId}:
    patch:
      description: Update project feedback by id
      operationId: updateProjectFeedbackById
      parameters:
        - name: projectSlug
          in: path
          description: Project slug
          required: true
          schema:
            type: string
        - name: feedbackId
          in: path
          description: Feedback id
          required: true
          schema:
            type: string
      requestBody:
        description: Feedback object that needs to be updated
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeedbackUpdate'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Feedback'
        '400':
          description: Invalid project slug or feedback id supplied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Feedback not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    FeedbackUpdate:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
        status:
          type: string
        tags:
          type: array
          items:
            type: string
    Feedback:
      type: object
      properties:
        id:
          type: string
          format: uuid
        project_id:
          type: string
          format: uuid
        user_id:
          type: string
          format: uuid
        title:
          type: string
        description:
          type: string
        status:
          type: string
        upvotes:
          type: number
        comment_count:
          type: number
        created_at:
          type: string
          format: date-time
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````